Function FileToBBCode( sf As iSourceFile, ByVal tabSize As Long, ByVal keywordCasing As Long, ByVal singleCaseIdentifier As Long, ByVal includeMonoFormat As Long, ByVal includeColorFormat As Long ) As String
	Local fileName As String

	If IsFalse IsInterface( sf, iSourceFile ) Then Exit Function
	filename = sf.Filename
	pbsFileShortname( filename )

	filename = Build$( "File: [b]", filename, "[/b]" )

	Function = sfToBBCode( sf, filename, tabSize, keywordCasing, singleCaseIdentifier, includeMonoFormat, includeColorFormat )
End Function

Function ProjectToBBCode( ByVal tabSize As Long, ByVal keywordCasing As Long, ByVal singleCaseIdentifier As Long, ByVal includeMonoFormat As Long, ByVal includeColorFormat As Long ) As String
	Local sb As IStringBuilderA
	Local i As Long
	Local sf As iSourceFile

	sb = Class "StringBuilderA"

	For i=0 To project_.Count-1
		If IsFalse project_.Value( i ).IsExternal Then
			sf = project_.Value(i)
			sb.Add( FileToBBCode( sf, tabSize, keywordCasing, singleCaseIdentifier, includeMonoFormat, includeColorFormat ) )
		End If
	Next
	Function = sb.String
End Function
