
Function sfToCasedText( sf As iSourceFile, ByVal tabSize As Long, ByVal keywordCasing As Long, ByVal singleCaseIdentifier As Long ) As String
	Local sb As IStringBuilderA
	Local bLine As IStringBuilderA

	Local v() As String
	Local i, j, c, c1 As Long
	Local value, v2 As String
	Local identifiers As iStringBag
	Local token As StringZ Ptr
	Local vCol As Long
	Local vType As Long
	Local isKeyword As Long
	Local d, lastType, nextType As Long

	If Not init_ Then Call Initialize()

	sb = Class "StringBuilderA"
	bLine = Class "StringBuilderA"

	If singleCaseIdentifier Then Call NewStringBag( identifiers, 50000 )

	For i=0 To sf.Count-1
		If i Then sb.Add( $CrLf )
		value = sf.Line(i)
		value = ExpandTabs( value, tabSize )
		If keywordCasing<>%KeywordCase.Original Or singleCaseIdentifier Then
			tokenizer_.SetLine( value )
			bLine.Clear
			c1 = tokenizer_.Count-1
			For j = 0 To c1
				tokenizer_.GetToken( j, token, vCol, vType )
				While vCol > bLine.Len
					bLine.Add(" ")
				Wend
				value = @token
				Select Case Const vType
					Case %TokenTypes.eIdentifier, %TokenTypes.eKeyword
						isKeyword = keywords_.Contains( value )
						If isKeyword Then
							Select Case Const keywordCasing
								Case %KeywordCase.Original: ' Nothing
								Case %KeywordCase.Upper:    value = UCase$( value )
								Case %KeywordCase.Lower:    value = LCase$( value )
								Case %KeywordCase.Mixed:    value = keywords_.Item( value )
							End Select
						ElseIf singleCaseIdentifier Then
							If Not identifiers.Contains( value ) Then
								identifiers.Add( value )
							End If
							value = identifiers.Item( value )
						End If
						bLine.Add( value )
					Case Else
						bLine.Add( value )
				End Select
			Next
			value = bLine.String
		End If
		sf.Line(i) = value
	Next
	Function = sb.String
End Function
