' Ensure filename has a full path
Function GetFullPath( filename As String ) As Long
	#Debug Code Off
	Local i As Long
	Local wFile, curPath As String

	' Based on PBWin 10 docs for #INCLUDE processing

	'1st) add .bas if no extension
	If InStr( filename, "." ) = 0 Then filename += ".bas"

	'2nd) if filename does not have a path, scan search path
	If InStr( filename, "\") = 0 Then
		For i = 0 To includePathCount_-1
			wFile = includePaths_(i) + filename
			If IsFile( wFile ) Then
				filename = wFile
				Function = -1
				Exit Function
			End If
		Next
	End If

	Call pbsProjectGetBasePath( curPath )
	If Left$( filename, 1 ) = "\" Or Mid$( filename, 2, 1 ) = ":" Then
		' If file has full path we'll try that, not documented but seems to work that way
		' This will handle UNC's \\server\share\path, Absolute \Path, and drive/path c:\path
		wFile = filename
		If Left$( filename, 1 )="\" And Mid$( filename, 2, 1 )<>"\" And Mid$( curPath, 2, 1 ) = ":" Then
			' Add drive designation
			wFile = Left$( curPath, 2 ) + wFile
		End If

		If IsFile( wFile ) Then
			filename = wFile
			Function = -1
			Exit Function
		End If
	End If

	'3rd) check current directory, relative.  Assuming current directory is main file directory.
	wFile = curPath + filename
	If IsFile( wFile ) Then
		filename = wFile
		Function = -1
		Exit Function
	End If
	#Debug Code On
End Function