Sub Test_String( Optional testNumber As Long )
	Local value As String
	Local i, s, e As Long

	pbsKeywordLoad( "pbwin10" )

	Debug_SetGroup( GroupTestName(FuncName$) )
	Debug_Log("")
	Debug_Log("============================================")
	Debug_Log(GroupTestName(FuncName$))
	Debug_Log("--------------------------------------------")

	s = 1
	e = 3
	If IsFalse IsMissing( testNumber ) Then s=testNumber: e=testNumber
	For i=s To e
		Select Case Const i
			Case 1: Call Test_String_CompressSignature_1()
			Case 2: Call Test_String_ExpandTabs_2()
			Case 3: Call Test_String_TrimWhitespace_3()
		End Select
	Next
End Sub

Sub Test_String_CompressSignature_1()
	Local value As String
	value = "  Sub  Test (  a  As  Long)"
	value = pbsStringCompressSignature( value )
	Debug_IsEqual( 1, value, "Sub Test(a As Long)", "CompressSignature" )
End Sub

Sub Test_String_ExpandTabs_2()
	Local value As String
	value = Build$( $Tab, $Tab, "Test" )
	value = pbsStringExpandTabs( value, 2 )
	Debug_IsEqual( 2, value, "    Test", "ExpandTabs" )
End Sub

Sub Test_String_TrimWhitespace_3()
	Local value As String
	value = Build$( $Tab, "  Sub Test()   ", $Tab, " ")
	value = pbsStringTrimWhitespace( value )
	Debug_IsEqual( 3, value, "Sub Test()", "TrimWhitespace" )
End Sub
